=== debian/control ===
Source: scantailor-advanced
Section: graphics
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Build-Depends:
 cmake,
 debhelper (>= 13),
 libboost-dev,
 libboost-test-dev,
 libjpeg-dev,
 libpng-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libtiff-dev,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 xvfb

Standards-Version: 4.0.0
Homepage: https://github.com/ScanTailor-Advanced/scantailor-advanced
Vcs-Git: https://github.com/ScanTailor-Advanced/scantailor-advanced -b master
Package: scantailor-advanced
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: interactive post-processing tool for scanned pages
 Scan Tailor Advanced is an interactive post-processing tool for scanned pages. It
 performs operations such as page splitting, deskewing, adding/removing
 borders, and others. You give it raw scans, and you get pages ready to be
 printed or assembled into a PDF or DJVU file. Scanning, optical character
 recognition, and assembling multi-page documents are out of scope of this
 project.
